[Frugalware-git] frugalware-1.1: t/xorg: bin, we don't want new packages in -stable

Miklos Vajna vmiklos at frugalware.org
Sun Jan 17 13:53:47 CET 2010


Git-Url: http://git.frugalware.org/gitweb/gitweb.cgi?p=frugalware-1.1.git;a=commitdiff;h=aacc8ed2df072a8fdced53c77bb3624f34a7c2a8

commit aacc8ed2df072a8fdced53c77bb3624f34a7c2a8
Author: Miklos Vajna <vmiklos at frugalware.org>
Date:   Sun Jan 17 13:52:32 2010 +0100

t/xorg: bin, we don't want new packages in -stable

diff --git a/t/xorg b/t/xorg
deleted file mode 100755
index b7761fe..0000000
--- a/t/xorg
+++ /dev/null
@@ -1,51 +0,0 @@
-#!/bin/sh
-
-in_array()
-{
-	local i needle
-	needle=$1
-	shift 1
-	# array() undefined
-	[ -z "$1" ] && return 1
-	for i in $*
-	do
-		echo $i |grep -q "^$needle" && return 0
-	done
-	return 1
-}
-
-if [ "$1" == "--help" ]; then
-	echo "missing xorg packages"
-	exit 1
-fi
-if [ ! -d ../.git -o ! -d ../source ]; then
-	echo "hey, where are you?"
-	exit 1
-fi
-
-cd ..
-
-skip=('xf86-video-impact is mips-only'
-'xf86-video-wsfb is for *bsd'
-'xf86-video-i810 is replaced by xf86-video-intel'
-'mkcfm is removed by priyank'
-'xkbdata is replaced by xkeyboard-config'
-'xf86-video-glide makedepends on xfree86'
-'constype is solaris-only'
-'xf86-video-amd is replaced by xf86-video-geode'
-'xf86-video-xgixp depends on unreleased libdrm'
-'xf86-video-imstt is dead, last release is from 2006-04-07'
-'xf86-video-vermilion has not been ported to the new libpciaccess api'
-'xphelloworld is no goodie, xprint is deprecated')
-
-upstream=$(for i in app data doc driver font lib proto testdir util xserver
-do
-	lynx -dump http://xorg.freedesktop.org/releases/individual/$i/|grep bz2$|sed 's|.*/\(.*\)-.*|\1|'
-done |sort -u |tr '[A-Z]' '[a-z]')
-
-for i in $upstream
-do
-	if ! stat source/*/$i &>/dev/null && ! in_array $i ${skip[@]}; then
-		echo $i
-	fi
-done


More information about the Frugalware-git mailing list